FreeBSD : mysql -- database 'case-sensitive' privilege escalation (a0e92718-6603-11db-ab90-000e35fd8194)

Low Nessus Plugin ID 22923


The remote FreeBSD host is missing one or more security-related updates.


Michal Prokopiuk reports a privilege escalation in MySQL. The vulnerability causes MySQL, when run on case-sensitive filesystems, to allow remote and local authenticated users to create or access a database when the database name differs only in case from a database for which they have permissions.


Update the affected packages.

See Also

Plugin Details

Severity: Low

ID: 22923

File Name: freebsd_pkg_a0e92718660311dbab90000e35fd8194.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2006/10/30

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.6

Temporal Score: 2.8

Vector: CVSS2#AV:N/AC:H/Au:S/C:P/I:P/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mysql-server, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2006/10/29

Vulnerability Publication Date: 2006/08/09

Reference Information

CVE: CVE-2006-4226

BID: 19559